#sv-form__newsletter h3 {
  color: var(--color-black);
  display: flex;
  font-family: var(--font-family-secondary);
  font-size: var(--px-18);
  font-weight: 400;
  line-height: var(--px-22);
  margin: 0 0 16px 0;
  pointer-events: none;
  text-transform: uppercase;
}

#sv-form__newsletter .sv-form__newsletter-form .gform_wrapper {
  display: flex;
  flex-direction: column-reverse;
}

#sv-form__newsletter .sv-form__newsletter-form .gform_required_legend {
  display: none;
}

#sv-form__newsletter .sv-form__newsletter-form {
  margin-bottom: 72px;
}

#sv-form__newsletter .sv-form__newsletter-form label.gfield_label {
  color: var(--color-primary); 
  font-size: var(--px-14);
  line-height: var(--px-21);
  font-weight: 400;
}

.sv-form__newsletter-form label.gfield_label .gfield_required {
  color: var(--color-error-hover);
}	

#sv-form__newsletter .sv-form__newsletter-form .gform-theme--foundation .gform_fields {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

#sv-form__newsletter .sv-form__newsletter-form .gfield input {
  padding: 23px 12px;
  border: 1px solid var(--color-neutral-300);
  border-radius: 8px;
  background: var(--color-white);
  color: var(--color-neutral-600);
  font-size: 16px;
  outline: none;
  width: 100%;
}

#sv-form__newsletter .sv-form__newsletter-form .gfield input[aria-invalid="true"] {
  padding: 23px 36px 23px 12px;
}

#sv-form__newsletter .sv-form__newsletter-form .gfield input[type='text'][aria-invalid="true"],
#sv-form__newsletter .sv-form__newsletter-form .gfield input[type='email'][aria-invalid="true"] {
  border: 1px solid var(--color-error-primary) !important;
}

#sv-form__newsletter .sv-form__newsletter-form .ginput_container_text,
#sv-form__newsletter .sv-form__newsletter-form .ginput_container_email {
  position: relative;
}

#sv-form__newsletter .sv-form__newsletter-form .gfield_error .ginput_container_text:before,
#sv-form__newsletter .sv-form__newsletter-form .gfield_error .ginput_container_email:before {
  content: '';
  background: url('/wp-content/themes/hello-theme-child-project-floratil/assets/images/x-close.png');
  background-repeat: no-repeat;
  position: absolute;
  width: 16px;
  height: 16px;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
}

#sv-form__newsletter .sv-form__newsletter-form .gfield .gfield_validation_message {
  display: none;
}

#sv-form__newsletter .sv-form__newsletter-form .gfield--type-submit input {
  line-height: var(--px-24);
  padding: 15px 20px;
  background: var(--color-primary);
  border-radius: 8px;
  color: var(--color-white);
  font-size: 16px;
  font-weight: 600;
  max-height: 56px;
  border: 1px solid var(--color-primary);
}

#sv-form__newsletter .sv-form__newsletter-form .gfield--type-submit input:hover {
  background: var(--color-DeepBlue-hover);
  border-color: var(--color-DeepBlue-hover);
}

#sv-form__newsletter .sv-form__newsletter-form .gform-theme--framework .gform_validation_errors {
  margin-bottom: 24px;
  order: 1;
  border-radius: 8px;
  border: 1px solid var(--color-error-primary);
  background: var(--color-error-light);
  display: flex;
  padding: 8px 12px;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
  outline: none;
}

#sv-form__newsletter .sv-form__newsletter-form .gform-theme--framework .gform_validation_errors .gform-icon {
  border: none;
}

#sv-form__newsletter .sv-form__newsletter-form .gform-theme--framework .gform_validation_errors .gform-icon::before {
  content: url("/wp-content/themes/hello-theme-child-project-floratil/assets/images/alert-hexagon.svg");
}

#sv-form__newsletter .sv-form__newsletter-form .gform-theme--framework .gform_validation_errors .gform_submission_error {
  color: var(--color-neutral-800);
  font-size: var(--px-14);
  line-height: var(--px-21);
  font-weight: 600;
  flex-direction: row;
}

#sv-form__newsletter .sv-form__newsletter-form .gform_description {
  color: var(--color-neutral-600);
  font-family: "Public Sans";
  font-size: var(--px-14);
  line-height: var(--px-18);
  margin-bottom: 0;
}

#sv-form__newsletter .sv-form__newsletter-form .gform_description a {
  color: var(--color-neutral-700);
  text-decoration: underline;
}

#sv-form__newsletter .sv-form__newsletter-form .gform_confirmation_message br {
  display: none;
}

#sv-form__newsletter .sv-form__newsletter-form .gform_confirmation_message .send-confirmation {
  position: relative;
  color: var(--color-neutral-800);
  font-size: var(--px-14);
  font-weight: 600;
  line-height: var(--px-21);
  margin-bottom: 16px;
  border-radius: 8px;
  border: 1px solid var(--color-success-primary);
  background: var(--color-success-light);
  display: flex;
  padding: 8px 12px;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
  outline: none;
}

#sv-form__newsletter .sv-form__newsletter-form .gform_confirmation_message .send-confirmation::before {
  content: '';
  background-image: url("/wp-content/themes/hello-theme-child-project-floratil/assets/images/check-circle.svg");
  display: inline-block;
  width: 20px;
  height: 20px;
}

#sv-form__newsletter .sv-form__newsletter-form .gform_confirmation_message .confirmation-title {
  color: var(--color-black);
  font-family: var(--font-family-secondary);
  font-size: var(--px-24);
  font-weight: 400;
  line-height: var(--px-29);
  margin: 0 0 16px 0;
}

#sv-form__newsletter .sv-form__newsletter-form .gform_confirmation_message p {
  color: var(--color-neutral-700);
  font-size: var(--px-14);
  font-weight: 400;
  line-height: var(--px-21);
  margin: 0;
}

@media(min-width: 768px) {
  #sv-form__newsletter h3 {
    font-size: var(--px-20);
    line-height: var(--px-24);
  }

  #sv-form__newsletter .sv-form__newsletter-form .gform-theme--foundation .gform_fields {
    align-items: flex-start;
    flex-direction: row;
  }

  #sv-form__newsletter .sv-form__newsletter-form .gform-theme--foundation .gfield--width-full {
    width: calc(50% - 118px / 2);
  }

  #sv-form__newsletter .sv-form__newsletter-form .gfield  {
    position: relative;
  }

  #sv-form__newsletter .sv-form__newsletter-form .gfield input {
    padding: 27px 16px;
  }

  #sv-form__newsletter .sv-form__newsletter-form .gfield--type-submit {
    width: 118px !important;
  }

  #sv-form__newsletter .sv-form__newsletter-form .gfield--type-submit input {
    padding: 15px 20px;
  }

  #sv-form__newsletter .sv-form__newsletter-form .gform-theme--foundation #field_submit {
    position: relative;
    padding-top: 29px;
  }

  #sv-form__newsletter .sv-form__newsletter-form .gform-theme--foundation #field_submit span {
    position: absolute;
    bottom: -25px;
    right: 0;
  }
}

@media(min-width: 1025px) {
  #sv-form__newsletter {
    width: 50%;
    max-width: 592px;
  }

  #sv-form__newsletter .sv-form__newsletter-form {
    margin-bottom: 77px;
  }

  #sv-form__newsletter .sv-form__newsletter-form .gform-theme--framework .gform_validation_errors {
    margin-bottom: 16px;
  }

  #sv-form__newsletter .sv-form__newsletter-form .gform_confirmation_message .confirmation-title {
    font-size: var(--px-32);
    line-height: var(--px-39);
  }

  #sv-form__newsletter .sv-form__newsletter-form .gfield_error .ginput_container_text:before,
  #sv-form__newsletter .sv-form__newsletter-form .gfield_error .ginput_container_email:before {
    right: 16px;
  }

  #sv-form__newsletter .sv-form__newsletter-form .gfield input[aria-invalid="true"] {
    padding: 27px 40px 27px 16px;
  }
}

/* Form Sidebar
-------------------------------------------------- */
#sv-form__newsletter.form-sidebar {
  width: 100%;
  max-width: initial;
}

#sv-form__newsletter.form-sidebar .sv-form__newsletter-form label.gfield_label {
  color: var(--color-neutral-900);
  font-size: var(--px-16);
  line-height: var(--px-24);
  font-weight: 400;
  font-family: var(--font-family-primary);
}

#sv-form__newsletter.form-sidebar .sv-form__newsletter-form .gfield input {
  font-family: var(--font-family-primary);
  padding: 27px 16px;
}

#sv-form__newsletter.form-sidebar .sv-form__newsletter-form .gform-theme--foundation .gform_fields {
  gap: 16px;
  padding-bottom: 32px;
}

#sv-form__newsletter.form-sidebar .sv-form__newsletter-form .gform-theme--foundation #field_submit {
  padding: 0 !important;
  width: 100% !important;
}

#sv-form__newsletter.form-sidebar .sv-form__newsletter-form .gfield--type-submit input {
  padding: 15px 20px !important;
}

#sv-form__newsletter.form-sidebar .sv-form__newsletter-form,
#sv-form__newsletter.form-sidebar .gform-theme--foundation .gform_footer, 
#sv-form__newsletter.form-sidebar .gform-theme--foundation .gform_page_footer {
  margin: 0;
}

#sv-form__newsletter.form-sidebar .sv-form__newsletter-form .gform_description {
  line-height: var(--px-21);
}